.l-app {

  @extend %z-l-app__canvas;
  &.-sidebar-is-open {
    .l-app__canvas {
      border-radius: 5px;
      transform: translate3d($sidebar-is-open-x, $sidebar-is-open-y, 0);
    }
  }
  &__fixed {
    @extend %z-l-app__canvas--fixed;
    position: fixed;
    width: 100%;
  }

  &__canvas {
    // opacity: .4;
    @extend %z-l-app__canvas;
    @include box-shadow(0, 3px, 18px, rgba($black, .4));
    @include transition(transform $offcanvas-time ease-in-out); 
    background-color: #ffffff;
    display: flex;
    flex-flow: column nowrap;
    flex-grow: 1;
    flex-shrink: 0;
    margin: 0;
    padding: 0;
    position: relative;
    transform: translate3d(0, 0, 0);
    width: 100%;

    &--header {
      
    }

    &--content {
      overflow-y: scroll;
      -webkit-overflow-scrolling: touch;
      flex-grow: 1;

    }

    &--footer {
      
    }
  }
  &__sidebar {
    @extend %h-black-href;
    @extend %z-sidebar;
    left: 0;
    position: absolute;
    top: 0;
    width: 100%;

    &--user {
      align-items: center;
      background-color: $lightest-gray;
      display: flex;
      min-height: 110px;
      padding-left: 18px;
    }
  }

}
